
<?php 
    session_start();
    // include('../../validadores/validarSession.php');

    include('../StoGlobal/include/conexion.php');
    include('../StoGlobal/include/conexion1.php');
    include('../StoGlobal/include/conexion3.php');
    
    date_default_timezone_set('America/Santiago');
    $fecha=date("Y-m-d");


    date_default_timezone_set('America/Santiago');
    $ano=date("Y");

  
    // include('../StoGlobal/include/archive.php');

    session_start();

    if($_POST['selector']==0){
        
        echo json_encode(array('success' => false));
        exit();
    }

    


    // Ingresar nuevo Cliente
    if($_POST['selector']==1){

       
          
           $stmt = $conexion->prepare("INSERT INTO clientes ( rut_empresa, rut_personal, nombre_apellido, razon_social, cargo, correo, fecha_inicio, comentarios, detalle)
           VALUE ( :rut_empresa, :rut_personal, :nombre_apellido, :razon_social, :cargo, :correo, :fecha_inicio, :comentarios, :detalle)");
           $stmt->bindParam(':rut_empresa', $rut_empresa);
           $stmt->bindParam(':rut_personal', $rut_personal);
           $stmt->bindParam(':nombre_apellido', $nombre_apellido);
           $stmt->bindParam(':razon_social', $razon_social);
           $stmt->bindParam(':cargo', $cargo);
           $stmt->bindParam(':correo', $correo);
           $stmt->bindParam(':fecha_inicio', $fecha_inicio);
           $stmt->bindParam(':comentarios', $comentarios);
           $stmt->bindParam(':detalle', $detalle);
           //insertar filas
           $rut_empresa= $_POST["rut_empresa"];
           $rut_personal= $_POST["rut_personal"];
           $nombre_apellido= $_POST["nombre_apellido"];
           $razon_social= $_POST["razon_social"];
           $cargo= $_POST["cargo"];
           $correo= $_POST["correo"];
           $fecha_inicio= $_POST["fecha_inicio"];
           $comentarios= $_POST["comentarios"];
           $detalle= $_POST["detalle"];
           
           $estado= '1';
           $stmt->execute();
   
    }
  
    // Insert Productos Bodega
    if($_POST['selector']==2){
        
        $max_num = $_POST['ContadorCeldas'];
        
        $folio_fact_Bodeg=$_POST["folio_factura"];

                $query = "
                UPDATE sto_dte_compra SET comp_tipo_estado = '2' WHERE comp_folio = '$folio_fact_Bodeg' ";
                $stmt1 = $conexion->prepare($query);
                $stmt1->execute();

                for($j=1;$j<$max_num;$j++){

                    // $cod_product= $_POST["cod_producto"];
        
                    // Insert Productos Bodega StoGlobal
                    $bruto1=0;
                    $neto1=$_POST["precio_neto_$j"];
                    $precio_iva1=$neto1*0.19;
                    $bruto1=$precio_iva1+$neto1;
                        
                    $stmt = $conexion->prepare("INSERT INTO sto_bodega ( cod_producto, nombre, precio_bruto, precio_neto, precio_iva, stock_inicial, stock_actual, boleta_factura, folio_factura, estado, precio_venta, detalle, fecha_registro, categoria)
                        VALUE ( :cod_producto, :nombre, :precio_bruto, :precio_neto, :precio_iva, :stock_inicial, :stock_actual, :boleta_factura, :folio_factura, :estado, :precio_venta, :detalle, :fecha_registro, :categoria)");
                        $stmt->bindParam(':cod_producto', $cod_producto);
                        $stmt->bindParam(':nombre', $nombre);
                        $stmt->bindParam(':precio_bruto', $precio_bruto);
                        $stmt->bindParam(':precio_neto', $precio_neto);
                        $stmt->bindParam(':precio_iva', $precio_iva);
                        $stmt->bindParam(':stock_inicial', $stock_inicial);
                        $stmt->bindParam(':stock_actual', $stock_actual);
                        $stmt->bindParam(':boleta_factura', $boleta_factura);
                        $stmt->bindParam(':folio_factura', $folio_factura);
                        $stmt->bindParam(':estado', $estado);
                        $stmt->bindParam(':precio_venta', $precio_venta);
                        $stmt->bindParam(':detalle', $detalle);
                        $stmt->bindParam(':fecha_registro', $fecha_registro);
                        $stmt->bindParam(':categoria', $categoria);
                        //insertar filas
                        $cod_producto= $_POST["cod_producto_$j"];

                        $var0 = str_replace('"', '', $_POST["nombre_$j"]);

                        $nombre= $var0;
                        $precio_bruto= $bruto1;

                        $var1 = str_replace('.', '', $_POST["precio_neto_$j"]);

                        $precio_neto= $var1;
                        $precio_iva= $precio_iva1;
                        $stock_inicial= $_POST["stock_inicial_$j"];
                        $stock_actual= $_POST["stock_inicial_$j"];
                        $boleta_factura= '1';
                        // 1 = Factura
                        // 2 = Boleta
                        $folio_factura= $_POST["folio_factura"];
                        $estado= '1';
                        // Se refleja con estado 1, es igual a sin detalles
                        $precio_venta= $bruto1;

                        $var2 = str_replace('"', '', $_POST["detalle_$j"]);

                        $detalle= $var2;
                        $fecha_registro= $fecha;
                        $categoria= $_POST["categoria_$j"];
                    $stmt->execute();
                   
                }
        

    }
 
    // Insert Herramientas
    if($_POST['selector']==3){

         // Ingreso de insumos StoGlobal
           
            $stmt = $conexion->prepare("INSERT INTO sto_insumos ( nombre, fecha, valor_bruto, detalle, url_factura, folio_factura, cantidad, estado)
            VALUE ( :nombre, :fecha, :valor_bruto, :detalle, :url_factura, :folio_factura, :cantidad, :estado)");
            $stmt->bindParam(':nombre', $nombre);
            $stmt->bindParam(':fecha', $fecha);
            $stmt->bindParam(':valor_bruto', $valor_bruto);
            $stmt->bindParam(':detalle', $detalle);
            $stmt->bindParam(':url_factura', $url_factura);
            $stmt->bindParam(':folio_factura', $folio_factura);
            $stmt->bindParam(':cantidad', $cantidad);
            $stmt->bindParam(':estado', $estado);
            //insertar filas
            $nombre= $_POST["nombre"];
            $fecha= $_POST["fecha"];
            $valor_bruto= $_POST["valor_bruto"];
            $detalle= $_POST["detalle"];
            $url_factura= $_POST["url_factura"];
            $folio_factura= $_POST["folio_factura"];
            $cantidad= $_POST["cantidad"];
            $estado= '1';
            $stmt->execute();
    
    }

    // Crear un nuevo proyecto
    if($_POST['selector']==4){

        
        $id_cotizacion=$_POST['id_cotizacion'];
        $id_clientes=$_POST["id_cliente"];
        $Proy_neto=$_POST["neto"];
        $Proy_iva=$Proy_neto*0.19;
        $Proy_bruto=$Proy_neto+$Proy_iva;
         
           $stmt = $conexion->prepare("INSERT INTO sto_proyectos ( cod_proyecto, nombre, descripcion, neto, iva, bruto, OC_asociada, ubicacion, tipo_proyecto, fecha_ini, fecha_fin, estado, id_cliente, id_cotizacion)
           VALUE ( :cod_proyecto, :nombre, :descripcion, :neto, :iva, :bruto, :OC_asociada, :ubicacion, :tipo_proyecto, :fecha_ini, :fecha_fin, :estado, :id_cliente, :id_cotizacion)");
           $stmt->bindParam(':cod_proyecto', $cod_proyecto);
           $stmt->bindParam(':nombre', $nombre);
           $stmt->bindParam(':descripcion', $descripcion);
           $stmt->bindParam(':neto', $neto);
           $stmt->bindParam(':iva', $iva);
           $stmt->bindParam(':bruto', $bruto);
           $stmt->bindParam(':OC_asociada', $OC_asociada);
           $stmt->bindParam(':ubicacion', $ubicacion);
           $stmt->bindParam(':tipo_proyecto', $tipo_proyecto);
           $stmt->bindParam(':fecha_ini', $fecha_ini);
           $stmt->bindParam(':fecha_fin', $fecha_fin);
           $stmt->bindParam(':estado', $estado);
           $stmt->bindParam(':id_cliente', $id_cliente_sto);
           $stmt->bindParam(':id_cotizacion', $id_cotizacion_sto);
           //insertar filas
           $cod_proyecto= $_POST["cod_proyecto"];
           $nombre= $_POST["nombre"];
           $descripcion= $_POST["descripcion"];
           $neto= $_POST["neto"];
           $iva= $Proy_iva;
           $bruto= $Proy_bruto;
           $OC_asociada= $_POST["OC_asociada"];
           $ubicacion= $_POST["ubicacion"];
           $tipo_proyecto= $_POST["tipo_proyecto"];
           $fecha_ini= $_POST["fecha_ini"];
           $fecha_fin= $_POST["fecha_fin"];
           $estado= '1';
           $id_cliente_sto= $_POST["id_cliente"];
           $id_cotizacion_sto= $id_cotizacion;
           $stmt->execute();



           $query = "SELECT * FROM sto_proyectos ORDER BY id DESC LIMIT 1";
                $stmt1 = $DBcon->prepare( $query );
                $stmt1->execute();  

                if($stmt1->rowCount() > 0) {
                    while($row=$stmt1->fetch(PDO::FETCH_ASSOC)) {
                        extract($row);
                        $UltimoID=$id;
                    }
                }

        

        if($_POST['selector']==4){

            $query1 = " UPDATE sto_cotizacion SET estado1 = '2', id_proyecto = '$UltimoID', id_cliente = '$id_clientes' WHERE id_cotizacion = '$id_cotizacion' ";
            $statement1 = $conexion->prepare($query1);
            $statement1->execute();

        }
    }

    // Insert Envios
    if($_POST['selector']==5){
    
        // Insert Envío
        $neto1s=$_POST["neto"];
        $iva1s=$neto1s*0.19;
        $bruto1s=$iva1s+$neto1s;

            $stmt = $conexion->prepare("INSERT INTO sto_envios ( nombre, neto, iva, bruto, detalle, url_factura, estado, folio_factura, fecha, cod_proyecto)
            VALUE ( :nombre, :neto, :iva, :bruto, :detalle, :url_factura, :estado, :folio_factura, :fecha, :cod_proyecto)");
        
            $stmt->bindParam(':nombre', $nombre);
            $stmt->bindParam(':neto', $neto);
            $stmt->bindParam(':iva', $iva);
            $stmt->bindParam(':bruto', $bruto);
            $stmt->bindParam(':detalle', $detalle);
            $stmt->bindParam(':url_factura', $url_factura);
            $stmt->bindParam(':estado', $estado);
            $stmt->bindParam(':folio_factura', $folio_factura);
            $stmt->bindParam(':fecha', $fecha);
            $stmt->bindParam(':cod_proyecto', $cod_proyecto);

            //insertar filas
            $nombre= $_POST["nombre"];
            $neto= $_POST["neto"];
            $iva= $iva1s;
            $bruto= $bruto1s;
            $detalle= $_POST["detalle"];
            $url_factura= $_POST["url_factura"];
            $estado= '1';
            $folio_factura= $_POST["folio_factura"];
            $fecha= $_POST["fecha"];
            $cod_proyecto= $_POST["cod_proyecto"];
            $stmt->execute();
    }

    // Insert Costos Otros en Proyectos
    if($_POST['selector']==6){
    
       
            $stmt = $conexion->prepare("INSERT INTO sto_proyectos_costosotros ( tipo_gasto, monto, detalle, fecha, estado, cod_proyecto, cantidad)
            VALUE ( :tipo_gasto, :monto, :detalle, :fecha, :estado, :cod_proyecto, :cantidad)");
        
            $stmt->bindParam(':tipo_gasto', $tipo_gasto);
            $stmt->bindParam(':monto', $monto);
            $stmt->bindParam(':detalle', $detalle);
            $stmt->bindParam(':fecha', $fecha);
            $stmt->bindParam(':estado', $estado);
            $stmt->bindParam(':cod_proyecto', $cod_proyecto);
            $stmt->bindParam(':cantidad', $cantidad);

            //insertar filas
            $tipo_gasto= $_POST["tipo_gasto"];
            $monto= $_POST["monto"];
            $detalle= $_POST["detalle"];
            $fecha= $_POST["fecha"];
            $estado= '1';
            $cod_proyecto= $_POST["cod_proyecto"];
            $cantidad= $_POST["cantidad"];
            $stmt->execute();
    }

    // Insertar Cotización
    if($_POST['selector']==7){
    
       if($_POST["contacto"]!=null){
            $stmt = $conexion->prepare("INSERT INTO sto_cotizacion ( contacto, direccion, fecha_emision, postfechado, tipo_cotizacion, estado1)
            VALUE ( :contacto, :direccion, :fecha_emision, :postfechado, :tipo_cotizacion, :estado1)");
        
            $stmt->bindParam(':contacto', $contacto);
            $stmt->bindParam(':direccion', $direccion);
            $stmt->bindParam(':fecha_emision', $fecha_emision);
            $stmt->bindParam(':postfechado', $postfechado);
            $stmt->bindParam(':tipo_cotizacion', $tipo_cotizacion);
            $stmt->bindParam(':estado1', $estado1);

            //insertar filas
            $contacto= $_POST["contacto"];
            $direccion= $_POST["direccion"];
            $fecha_emision= $_POST["fecha_emision"];
            $postfechado= $_POST["postfechado"];        
            $tipo_cotizacion= $_POST["tipo_cotizacion"];
            $estado1= '1';
            $stmt->execute();
       }

       if($_POST["contacto"]!=null){

            $max_num = $_POST['ContadorCeldas'];

            for($j=1;$j<$max_num;$j++){
                $stmt = $conexion->prepare("INSERT INTO sto_cotizacion_items ( id_cotizacion, num_romano, producto, descripcion, valor_neto, cantidad, precio_venta, estado, link_1, link_2, detalle_general)
                VALUE ( :id_cotizacion, :num_romano, :producto, :descripcion, :valor_neto, :cantidad, :precio_venta, :estado, :link_1, :link_2, :detalle_general)");
            
                $stmt->bindParam(':id_cotizacion', $id_cotizacion);
                $stmt->bindParam(':num_romano', $num_romano);
                $stmt->bindParam(':producto', $producto);
                $stmt->bindParam(':descripcion', $descripcion);
                $stmt->bindParam(':valor_neto', $valor_neto);
                $stmt->bindParam(':cantidad', $cantidad);
                $stmt->bindParam(':precio_venta', $precio_venta);
                $stmt->bindParam(':estado', $estado);
                $stmt->bindParam(':link_1', $link_1);
                $stmt->bindParam(':link_2', $link_2);
                $stmt->bindParam(':detalle_general', $detalle_general);

                //insertar filas
                $id_cotizacion= $_POST["id_cotizacion"];
                $num_romano= $j;
                $producto= $_POST["producto_$j"];
                $descripcion= $_POST["descripcion_$j"];
                $valor_neto= $_POST["valor_neto_$j"];        
                $cantidad= $_POST["cantidad_$j"];
                $precio_venta= $_POST["precio_venta_$j"];
                $estado= '1';
                $link_1= $_POST["link_1_$j"];
                $link_2= $_POST["link_2_$j"];
                $detalle_general= $_POST["detalle_general_$j"];
                $stmt->execute();
            }


            // $stmt4 = $conexion->prepare("INSERT INTO sto_cotizacion_items ( num_romano, producto, descripcion, valor_neto, cantidad, precio_venta, estado)
            // VALUE ( :contacto, :direccion, :fecha_emision, :postfechado, :tipo_cotizacion, :estado)");
            // $stmt4->execute();
            // //se obtiene un arreglo asociativo
            // $result4 = $stmt4->setFetchMode(PDO::FETCH_ASSOC);
            // $a4 = $stmt4->fetchAll();
            // foreach($a4 as $fila4){
            //     foreach ($fila4 as $clave4 => $valor4){
            
            //     $sql64=mysqli_query($con,"Update cargar_app set estado='1' where estado='".$valor4."'");
                        
            //     }
            // }
       }
        
    }

    // Insert DTE Compras
    if($_POST['selector']==8){

        $max_num = $_POST['ContadorCeldas12'];

        for($j=1;$j<$max_num;$j++){

            // Ingreso de DTE Compras
            $comp_bruto_new=0;
            
            $comp_bruto_new=$_POST["comp_neto$j"]+$_POST["comp_iva$j"];

            
            $meses = array("Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre");

            $stmt = $conexion->prepare("INSERT INTO sto_dte_compra ( comp_folio, comp_rut_proveedor, comp_fecha_recepcion, comp_neto, comp_iva, comp_bruto, comp_tipo_documento, comp_url_dte, comp_detalle, comp_estado, comp_tipo_estado)
            VALUE ( :comp_folio, :comp_rut_proveedor, :comp_fecha_recepcion, :comp_neto, :comp_iva, :comp_bruto, :comp_tipo_documento, :comp_url_dte, :comp_detalle, :comp_estado, :comp_tipo_estado)");
            $stmt->bindParam(':comp_folio', $comp_folio);
            $stmt->bindParam(':comp_rut_proveedor', $comp_rut_proveedor);
            $stmt->bindParam(':comp_fecha_recepcion', $comp_fecha_recepcion);
            $stmt->bindParam(':comp_neto', $comp_neto);
            $stmt->bindParam(':comp_iva', $comp_iva);
            $stmt->bindParam(':comp_bruto', $comp_bruto);
            $stmt->bindParam(':comp_tipo_documento', $comp_tipo_documento);
            $stmt->bindParam(':comp_url_dte', $comp_url_dte);
            $stmt->bindParam(':comp_detalle', $comp_detalle);
            $stmt->bindParam(':comp_estado', $comp_estado);
            $stmt->bindParam(':comp_tipo_estado', $comp_tipo_estado);
            //insertar filas
            $comp_folio= $_POST["comp_folio$j"];
            $comp_rut_proveedor= $_POST["comp_rut_proveedor$j"];
            $comp_fecha_recepcion= $_POST["comp_fecha_recepcion$j"];
            $comp_neto= $_POST["comp_neto$j"];
            $comp_iva= $_POST["comp_iva$j"];
            $comp_bruto= $comp_bruto_new;
            $comp_tipo_documento= $_POST["comp_tipo_documento"];

            $fechapost=$_POST["comp_fecha_recepcion$j"];
            $mesx = str_split($fechapost);

            $part1= 'G:\Mi unidad\Empresa STOGLOBAL\Sto_Facturas\\'.$mesx[0].$mesx[1].$mesx[2].$mesx[3].'\\'; 

            $suma_meses=0;
            $suma_meses=$mesx[5].$mesx[6];
          

            if($suma_meses<=9){
                $part2=$meses[$suma_meses-1];
            }
            if($suma_meses>=10){
                $part2=$meses[$suma_meses-1];
            }

            if($mesx[8]!=0){
                $part3=$mesx[8].$mesx[9];
            }else{
                $part3=$mesx[9];
            }

            if($_POST["comp_tipo_documento"]==33){

                $part4="Recibidas";
            }if($_POST["comp_tipo_documento"]==34){

                $part4="Excentas";
            }if($_POST["comp_tipo_documento"]==61){

                $part4="Nta_Cred_Comp";
            }
         

            $comp_url_dte=$part1.$part2.'\\'.$part4.'\\'.$part3;
        
            $comp_detalle= $_POST["comp_detalle$j"];
            $comp_estado= '1';
            $comp_tipo_estado= '1';
            $stmt->execute();
        }
    }

    // Insert DTE Ventas
    if($_POST['selector']==9){

        $max_num = $_POST['ContadorCeldas12'];

        for($j=1;$j<$max_num;$j++){

            // Ingreso de DTE Compras
            $vent_bruto_new=0;
            
            $vent_bruto_new=$_POST["vent_neto$j"]+$_POST["vent_iva$j"];


            
            $meses = array("Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre");

            $stmt = $conexion->prepare("INSERT INTO sto_dte_venta ( vent_folio, vent_rut_proveedor, vent_fecha_recepcion, vent_neto, vent_iva, vent_bruto, vent_tipo_documento, vent_url_dte, vent_detalle, vent_estado, vent_tipo_estado)
            VALUE ( :vent_folio, :vent_rut_proveedor, :vent_fecha_recepcion, :vent_neto, :vent_iva, :vent_bruto, :vent_tipo_documento, :vent_url_dte, :vent_detalle, :vent_estado, :vent_tipo_estado)");
            $stmt->bindParam(':vent_folio', $vent_folio);
            $stmt->bindParam(':vent_rut_proveedor', $vent_rut_proveedor);
            $stmt->bindParam(':vent_fecha_recepcion', $vent_fecha_recepcion);
            $stmt->bindParam(':vent_neto', $vent_neto);
            $stmt->bindParam(':vent_iva', $vent_iva);
            $stmt->bindParam(':vent_bruto', $vent_bruto);
            $stmt->bindParam(':vent_tipo_documento', $vent_tipo_documento);
            $stmt->bindParam(':vent_url_dte', $vent_url_dte);
            $stmt->bindParam(':vent_detalle', $vent_detalle);
            $stmt->bindParam(':vent_estado', $vent_estado);
            $stmt->bindParam(':vent_tipo_estado', $vent_tipo_estado);
            //insertar filas
            $vent_folio= $_POST["vent_folio$j"];
            $vent_rut_proveedor= $_POST["vent_rut_proveedor$j"];
            $vent_fecha_recepcion= $_POST["vent_fecha_recepcion$j"];
            $vent_neto= $_POST["vent_neto$j"];
            $vent_iva= $_POST["vent_iva$j"];
            $vent_bruto= $vent_bruto_new;
            $vent_tipo_documento= $_POST["vent_tipo_documento"];

            $fechapost=$_POST["vent_fecha_recepcion$j"];
            $mesx = str_split($fechapost);

            $part1= 'G:\Mi unidad\Empresa STOGLOBAL\Sto_Facturas\\'.$mesx[0].$mesx[1].$mesx[2].$mesx[3].'\\'; 
        
            $suma_meses=0;
            $suma_meses=$mesx[5].$mesx[6];
          

            if($suma_meses<=9){
                $part2=$meses[$suma_meses-1];
            }
            if($suma_meses>=10){
                $part2=$meses[$suma_meses-1];
            }

            if($mesx[8]!=0){
                $part3=$mesx[8].$mesx[9];
            }else{
                $part3=$mesx[9];
            }
            if($_POST["vent_tipo_documento"]==33){

                $part4="Emitidas";
            }if($_POST["vent_tipo_documento"]==61){

                $part4="Nta_Cred_Vent";
            }if($_POST["vent_tipo_documento"]==39){

                $part4="Boletas";
            }



            $vent_url_dte=$part1.$part2.'\\'.$part4.'\\'.$part3;
        
            $vent_detalle= $_POST["vent_detalle$j"];
            $vent_estado= '1';
            $vent_tipo_estado= '1';
            $stmt->execute();

        }
    }

    // Ingresar Honorario
    if($_POST['selector']==10){
    
        $hono_totals=$_POST["hono_neto"]+$_POST["hono_retencion"];

        $stmt = $conexion->prepare("INSERT INTO sto_dte_honorarios ( hono_beneficiario, hono_rut, hono_fecha, hono_folio, hono_neto, hono_retencion, hono_total, hono_detalle, hono_estado, hono_url)
        VALUE ( :hono_beneficiario, :hono_rut, :hono_fecha, :hono_folio, :hono_neto, :hono_retencion, :hono_total, :hono_detalle, :hono_estado, :hono_url)");
    
        $stmt->bindParam(':hono_beneficiario', $hono_beneficiario);
        $stmt->bindParam(':hono_rut', $hono_rut);
        $stmt->bindParam(':hono_fecha', $hono_fecha);
        $stmt->bindParam(':hono_folio', $hono_folio);
        $stmt->bindParam(':hono_neto', $hono_neto);
        $stmt->bindParam(':hono_retencion', $hono_retencion);
        $stmt->bindParam(':hono_total', $hono_total);
        $stmt->bindParam(':hono_detalle', $hono_detalle);
        $stmt->bindParam(':hono_estado', $hono_estado);
        $stmt->bindParam(':hono_url', $hono_url);

        //insertar filas
        $hono_beneficiario= $_POST["hono_beneficiario"];
        $hono_rut= $_POST["hono_rut"];
        $hono_fecha= $_POST["hono_fecha"];
        $hono_folio= $_POST["hono_folio"];
        $hono_neto= $_POST["hono_neto"];
        $hono_retencion= $_POST["hono_retencion"];
        $hono_total= $hono_totals;
        $hono_detalle= $_POST["hono_detalle"];
        $hono_estado= '1';


        $meses = array("Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre");

        $mesx = str_split($hono_fecha);

            $part1= 'G:\Mi unidad\Empresa STOGLOBAL\Sto_Facturas\\'.$mesx[0].$mesx[1].$mesx[2].$mesx[3].'\\'; 
            
            $suma_meses=0;
            $suma_meses=$mesx[5].$mesx[6];
          

            if($suma_meses<=9){
                $part2=$meses[$suma_meses-1];
            }
            if($suma_meses>=10){
                $part2=$meses[$suma_meses-1];
            }
            if($mesx[8]!=0){
                $part3=$mesx[8].$mesx[9];
            }else{
                $part3=$mesx[9];
            }
          
        $hono_url=$part1.$part2.'\Honorarios\\'.$part3;
        $stmt->execute();
    }


    // Ingresar PPM
    if($_POST['selector']==11){
    
       
        $stmt = $conexion->prepare("INSERT INTO sto_dte_ppm ( ppm_fecha, ppm_monto, ppm_detalle, ppm_estado)
        VALUE ( :ppm_fecha, :ppm_monto, :ppm_detalle, :ppm_estado)");
    
        $stmt->bindParam(':ppm_fecha', $ppm_fecha);
        $stmt->bindParam(':ppm_monto', $ppm_monto);
        $stmt->bindParam(':ppm_detalle', $ppm_detalle);
        $stmt->bindParam(':ppm_estado', $ppm_estado);

        //insertar filas
        $ppm_fecha= $_POST["ppm_fecha"];
        $ppm_monto= $_POST["ppm_monto"];
        $ppm_detalle= $_POST["ppm_detalle"];
        $ppm_estado= '1';
        $stmt->execute();
    }

    // Ingresar PPM
    if($_POST['selector']==12){
    
       
        $stmt = $conexion->prepare("INSERT INTO mp_compras ( ca_estado, ca_cod, ca_tipo_postulacion, ca_fecha_cierre, ca_monto_asc, ca_detalle, id_empresa)
        VALUE ( :ca_estado, :ca_cod, :ca_tipo_postulacion, :ca_fecha_cierre, :ca_monto_asc, :ca_detalle, :id_empresa)");
    
        $stmt->bindParam(':ca_estado', $ca_estado);
        $stmt->bindParam(':ca_cod', $ca_cod);
        $stmt->bindParam(':ca_tipo_postulacion', $ca_tipo_postulacion);
        $stmt->bindParam(':ca_fecha_cierre', $ca_fecha_cierre);
        $stmt->bindParam(':ca_monto_asc', $ca_monto_asc);
        $stmt->bindParam(':ca_detalle', $ca_detalle);
        $stmt->bindParam(':id_empresa', $id_empresa);

        //insertar filas
        $ca_estado= '1';
        $ca_cod= $_POST["ca_cod"];
        $ca_tipo_postulacion= $_POST["ca_tipo_postulacion"];
        $ca_fecha_cierre= $_POST["ca_fecha_cierre"];
        $ca_monto_asc= $_POST["ca_monto_asc"];
        $ca_detalle= $_POST["ca_detalle"];
        $id_empresa= $_POST["id_empresa"];
        $stmt->execute();
    }

if ($stmt) {
                
    echo json_encode(array('success' => true));
} else {
    echo json_encode(array('success' => false));
}


?>
